> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Architecture Diagram Payload



## OpenAPI

````yaml /openapi.json get /api/v1/architecture/{design_id}/diagrams/{diagram_id}/payload
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/architecture/{design_id}/diagrams/{diagram_id}/payload:
    get:
      tags:
        - architecture
      summary: Get Architecture Diagram Payload
      operationId: >-
        get_architecture_diagram_payload_api_v1_architecture__design_id__diagrams__diagram_id__payload_get
      parameters:
        - in: path
          name: design_id
          required: true
          schema:
            title: Design Id
            type: string
        - in: path
          name: diagram_id
          required: true
          schema:
            title: Diagram Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArchitectureDiagramPayloadResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ArchitectureDiagramPayloadResponse:
      description: Response for a loaded diagram payload.
      properties:
        content_hash:
          title: Content Hash
          type: string
        design_id:
          title: Design Id
          type: string
        diagram_id:
          title: Diagram Id
          type: string
        format:
          enum:
            - excalidraw_json
            - mermaid
            - svg
            - plantuml
            - c4
            - raw
          title: Format
          type: string
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: string
            - type: 'null'
          title: Payload
        size_bytes:
          title: Size Bytes
          type: integer
      required:
        - design_id
        - diagram_id
        - format
        - content_hash
        - size_bytes
        - payload
      title: ArchitectureDiagramPayloadResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````